--- ./AmberTools/src/cpptraj/cmake-cpptraj/CudaConfig.cmake~	2025-03-24 16:55:37.000000000 +0200
+++ ./AmberTools/src/cpptraj/cmake-cpptraj/CudaConfig.cmake	2025-10-30 10:02:08.659957270 +0200
@@ -19,14 +19,22 @@
 	
 		set(CUDA_HOST_COMPILER ${CMAKE_CXX_COMPILER})
 
+		#SM12.0 = B200 - Geforce - RTX5090 etc
+		set(SM120FLAGS -gencode arch=compute_120,code=sm_120)
+		#SM10.0 = B200
+		set(SM100FLAGS -gencode arch=compute_100,code=sm_100)
+		#SM9.0 = H200
+		set(SM90FLAGS -gencode arch=compute_90,code=sm_90)
+		#SM8.9 = RTX4090
+		set(SM89FLAGS -gencode arch=compute_89,code=sm_89)
         #SM8.6  -- not currently used, but should be tested on Cuda 11.1
         set(SM86FLAGS -gencode arch=compute_86,code=sm_86)
         #SM8.0 = A100
         set(SM80FLAGS -gencode arch=compute_80,code=sm_80)
         #SM7.5 = RTX20xx, RTX Titan, T4 and Quadro RTX
-		set(SM75FLAGS -gencode arch=compute_60,code=sm_75)        
+		set(SM75FLAGS -gencode arch=compute_75,code=sm_75)
 		#SM7.0 = V100 and Volta Geforce / GTX Ampere?
-		set(SM70FLAGS -gencode arch=compute_60,code=sm_70)
+		set(SM70FLAGS -gencode arch=compute_70,code=sm_70)
 		#SM6.2 = ???  -- not currently used anyway
 		#set(SM62FLAGS -gencode arch=compute_62,code=sm_62)
 		#SM6.1 = GP106 = GTX-1070, GP104 = GTX-1080, GP102 = Titan-X[P]
@@ -66,15 +74,21 @@
 			message(STATUS "Configuring for SM3.0, SM3.5, SM3.7, SM5.0, SM5.2, SM5.3, SM6.0, SM6.1, SM7.0 and SM7.5")
 			list(APPEND CUDA_NVCC_FLAGS ${SM30FLAGS} ${SM50FLAGS} ${SM52FLAGS} ${SM53FLAGS} ${SM60FLAGS} ${SM61FLAGS} ${SM70FLAGS} ${SM75FLAGS} -Wno-deprecated-gpu-targets -Wno-deprecated-declarations)	
 
-		elseif((${CUDA_VERSION} VERSION_GREATER_EQUAL 11.0) AND (${CUDA_VERSION} VERSION_LESS 12.0))
-                        # Implement the standard compilation rather than a warp-synchronous one, which is deprecated as of CUDA 11
-		        set(SM70FLAGS -gencode arch=compute_70,code=sm_70)
-			set(SM75FLAGS -gencode arch=compute_75,code=sm_75)
+		elseif((${CUDA_VERSION} VERSION_GREATER_EQUAL 11.0) AND (${CUDA_VERSION} VERSION_LESS 11.8))
+            # Implement the standard compilation rather than a warp-synchronous one, which is deprecated as of CUDA 11
             message(STATUS "Configuring for SM3.5, SM5.0, SM5.2, SM5.3, SM6.0, SM6.1, SM7.0, SM7.5 and SM8.0")
             list(APPEND CUDA_NVCC_FLAGS ${SM35FLAGS} ${SM50FLAGS} ${SM52FLAGS} ${SM53FLAGS} ${SM60FLAGS} ${SM61FLAGS} ${SM70FLAGS} ${SM75FLAGS} ${SM80FLAGS} -Wno-deprecated-gpu-targets -Wno-deprecated-declarations)
 
+        elseif((${CUDA_VERSION} VERSION_GREATER_EQUAL 11.8) AND (${CUDA_VERSION} VERSION_LESS 12.7))
+        	message(STATUS "Configuring for SM5.0, SM5.2, SM5.3, SM6.0, SM6.1, SM7.0, SM7.5, SM8.0, SM8.6, SM8.9 and SM9.0")
+        	list(APPEND CUDA_NVCC_FLAGS ${SM50FLAGS} ${SM52FLAGS} ${SM53FLAGS} ${SM60FLAGS} ${SM61FLAGS} ${SM70FLAGS} ${SM75FLAGS} ${SM80FLAGS} ${SM86FLAGS} ${SM89FLAGS} ${SM90FLAGS} -Wno-deprecated-gpu-targets -Wno-deprecated-declarations)
+
+        elseif((${CUDA_VERSION} VERSION_GREATER_EQUAL 12.7) AND (${CUDA_VERSION} VERSION_LESS 12.9))
+        	message(STATUS "Configuring for SM7.0, SM7.5, SM8.0, SM8.6, SM8.9, SM9.0, SM10.0 and SM12.0")
+        	list(APPEND CUDA_NVCC_FLAGS ${SM70FLAGS} ${SM75FLAGS} ${SM80FLAGS} ${SM86FLAGS} ${SM89FLAGS} ${SM90FLAGS} ${SM100FLAGS} ${SM120FLAGS} -Wno-deprecated-gpu-targets -Wno-deprecated-declarations -std=c++14)
+
 		else()
-			message(FATAL_ERROR "Error: Unsupported CUDA version. AMBER requires CUDA version >= 7.5 and <= 11.x.
+			message(FATAL_ERROR "Error: Unsupported CUDA version. AMBER requires CUDA version >= 7.5 and < 12.9.
 				Please upgrade your CUDA installation or disable building with CUDA.")
 		endif()
 						
--- ./AmberTools/src/quick/cmake/CudaConfig.cmake~	2025-04-15 17:32:33.000000000 +0300
+++ ./AmberTools/src/quick/cmake/CudaConfig.cmake	2025-10-30 10:07:14.011019798 +0200
@@ -13,8 +13,14 @@
 
 		set(CUDA_HOST_COMPILER ${CMAKE_CXX_COMPILER})
 
+		#SM12.0 = B200 - Geforce - RTX5090 etc
+		set(SM120FLAGS -gencode arch=compute_120,code=sm_120)
+		#SM10.0 = B200
+		set(SM100FLAGS -gencode arch=compute_100,code=sm_100)
 		#SM9.0 = GH200
 		set(SM90FLAGS -gencode arch=compute_90,code=sm_90)
+		#SM8.9 = RTX4090
+		set(SM89FLAGS -gencode arch=compute_89,code=sm_89)
 		#SM8.6  -- not currently used, but should be tested on Cuda 11.1
 		set(SM86FLAGS -gencode arch=compute_86,code=sm_86)
 		#SM8.0 = A100
@@ -64,15 +70,19 @@
 
 		elseif((${CUDA_VERSION} VERSION_GREATER_EQUAL 11.0) AND (${CUDA_VERSION} VERSION_LESS 11.8))
 			# Implement the standard compilation rather than a warp-synchronous one, which is deprecated as of CUDA 11
-
 			message(STATUS "Configuring for SM3.5, SM5.0, SM5.2, SM5.3, SM6.0, SM6.1, SM7.0, SM7.5 and SM8.0")
 			list(APPEND CUDA_NVCC_FLAGS ${SM35FLAGS} ${SM50FLAGS} ${SM52FLAGS} ${SM53FLAGS} ${SM60FLAGS} ${SM61FLAGS} ${SM70FLAGS} ${SM75FLAGS} ${SM80FLAGS} -Wno-deprecated-gpu-targets -Wno-deprecated-declarations)
-		elseif((${CUDA_VERSION} VERSION_GREATER_EQUAL 11.8) AND (${CUDA_VERSION} VERSION_LESS_EQUAL 12.5))
-			message(STATUS "Configuring for SM5.0, SM5.2, SM5.3, SM6.0, SM6.1, SM7.0, SM7.5, SM8.0, SM8.6, and SM9.0")
-			list(APPEND CUDA_NVCC_FLAGS ${SM50FLAGS} ${SM52FLAGS} ${SM53FLAGS} ${SM60FLAGS} ${SM61FLAGS} ${SM70FLAGS} ${SM75FLAGS} ${SM80FLAGS} ${SM86FLAGS} ${SM90FLAGS} -Wno-deprecated-gpu-targets -Wno-deprecated-declarations)
+
+		elseif((${CUDA_VERSION} VERSION_GREATER_EQUAL 11.8) AND (${CUDA_VERSION} VERSION_LESS 12.7))
+			message(STATUS "Configuring for SM5.0, SM5.2, SM5.3, SM6.0, SM6.1, SM7.0, SM7.5, SM8.0, SM8.6, SM8.9 and SM9.0")
+			list(APPEND CUDA_NVCC_FLAGS ${SM50FLAGS} ${SM52FLAGS} ${SM53FLAGS} ${SM60FLAGS} ${SM61FLAGS} ${SM70FLAGS} ${SM75FLAGS} ${SM80FLAGS} ${SM86FLAGS} ${SM89FLAGS} ${SM90FLAGS} -Wno-deprecated-gpu-targets -Wno-deprecated-declarations)
+
+		elseif((${CUDA_VERSION} VERSION_GREATER_EQUAL 12.7) AND (${CUDA_VERSION} VERSION_LESS 12.9))
+			message(STATUS "Configuring for SM7.0, SM7.5, SM8.0, SM8.6, SM8.9, SM9.0, SM10.0 and SM12.0")
+			list(APPEND CUDA_NVCC_FLAGS ${SM70FLAGS} ${SM75FLAGS} ${SM80FLAGS} ${SM86FLAGS} ${SM89FLAGS} ${SM90FLAGS} ${SM100FLAGS} ${SM120FLAGS} -Wno-deprecated-gpu-targets -Wno-deprecated-declarations -std=c++14)
 
 		else()
-			message(FATAL_ERROR "Error: Untested CUDA version. AMBER currently requires CUDA version >= 7.5 and <=  12.5.")
+			message(FATAL_ERROR "Error: Untested CUDA version. AMBER currently requires CUDA version >= 7.5 and < 12.9.")
 		endif()
 
 		#  Check maximum GNU compiler versions wrt cuda:
--- ./AmberTools/src/quick/quick-cmake/QUICKCudaConfig.cmake~	2025-04-15 17:32:33.000000000 +0300
+++ ./AmberTools/src/quick/quick-cmake/QUICKCudaConfig.cmake	2025-10-30 10:09:27.637112047 +0200
@@ -110,14 +110,14 @@
             list(APPEND CUDA_NVCC_FLAGS -DUSE_LEGACY_ATOMICS)
             set(DISABLE_OPTIMIZER_CONSTANTS TRUE)          
 
-	elseif((${CUDA_VERSION} VERSION_GREATER_EQUAL 12.8) AND (${CUDA_VERSION} VERSION_LESS_EQUAL 12.8))
+	elseif((${CUDA_VERSION} VERSION_GREATER_EQUAL 12.8) AND (${CUDA_VERSION} VERSION_LESS 12.9))
             message(STATUS "Configuring QUICK for SM5.0, SM5.2, SM5.3, SM6.0, SM6.1, SM7.0, SM7.5, SM8.0, SM8.6, SM8.9, SM9.0, SM10.0, and SM12.0")
-            list(APPEND CUDA_NVCC_FLAGS ${SM50FLAGS} ${SM52FLAGS} ${SM53FLAGS} ${SM60FLAGS} ${SM61FLAGS} ${SM70FLAGS} ${SM75FLAGS} ${SM80FLAGS} ${SM86FLAGS} ${SM89FLAGS} ${SM90FLAGS} ${SM100FLAGS} ${SM120FLAGS})
+            list(APPEND CUDA_NVCC_FLAGS ${SM50FLAGS} ${SM52FLAGS} ${SM53FLAGS} ${SM60FLAGS} ${SM61FLAGS} ${SM70FLAGS} ${SM75FLAGS} ${SM80FLAGS} ${SM86FLAGS} ${SM89FLAGS} ${SM90FLAGS} ${SM100FLAGS} ${SM120FLAGS} -std=c++14)
             list(APPEND CUDA_NVCC_FLAGS -DUSE_LEGACY_ATOMICS)
             set(DISABLE_OPTIMIZER_CONSTANTS TRUE)          
 
 	else()
-	    message(FATAL_ERROR "Error: Unsupported CUDA version. ${PROJECT_NAME} requires CUDA version >= 8.0 and <= 12.4.  Please upgrade your CUDA installation or disable building with CUDA.")
+	    message(FATAL_ERROR "Error: Unsupported CUDA version. ${PROJECT_NAME} requires CUDA version >= 8.0 and < 12.9.  Please upgrade your CUDA installation or disable building with CUDA.")
 	endif()
 
     else()
--- ./cmake/CudaConfig.cmake~	2025-04-28 01:42:44.000000000 +0300
+++ ./cmake/CudaConfig.cmake	2025-10-30 10:13:40.110669512 +0200
@@ -19,6 +19,8 @@
 		set(SM100FLAGS -gencode arch=compute_100,code=sm_100)
 		#SM9.0 = H200
 		set(SM90FLAGS -gencode arch=compute_90,code=sm_90)
+		#SM8.9 = RTX4090
+		set(SM89FLAGS -gencode arch=compute_89,code=sm_89)
 		#SM8.6  -- not currently used, but should be tested on Cuda 11.1
 		set(SM86FLAGS -gencode arch=compute_86,code=sm_86)
 		#SM8.0 = A100
@@ -72,12 +74,12 @@
 			list(APPEND CUDA_NVCC_FLAGS ${SM35FLAGS} ${SM50FLAGS} ${SM52FLAGS} ${SM53FLAGS} ${SM60FLAGS} ${SM61FLAGS} ${SM70FLAGS} ${SM75FLAGS} ${SM80FLAGS} -Wno-deprecated-gpu-targets -Wno-deprecated-declarations)
 
 		elseif((${CUDA_VERSION} VERSION_GREATER_EQUAL 11.8) AND (${CUDA_VERSION} VERSION_LESS 12.7))
-			message(STATUS "Configuring for SM5.0, SM5.2, SM5.3, SM6.0, SM6.1, SM7.0, SM7.5, SM8.0, SM8.6, and SM9.0")
-			list(APPEND CUDA_NVCC_FLAGS ${SM50FLAGS} ${SM52FLAGS} ${SM53FLAGS} ${SM60FLAGS} ${SM61FLAGS} ${SM70FLAGS} ${SM75FLAGS} ${SM80FLAGS} ${SM86FLAGS} ${SM90FLAGS} -Wno-deprecated-gpu-targets -Wno-deprecated-declarations)
+			message(STATUS "Configuring for SM5.0, SM5.2, SM5.3, SM6.0, SM6.1, SM7.0, SM7.5, SM8.0, SM8.6, SM8.9 and SM9.0")
+			list(APPEND CUDA_NVCC_FLAGS ${SM50FLAGS} ${SM52FLAGS} ${SM53FLAGS} ${SM60FLAGS} ${SM61FLAGS} ${SM70FLAGS} ${SM75FLAGS} ${SM80FLAGS} ${SM86FLAGS} ${SM89FLAGS} ${SM90FLAGS} -Wno-deprecated-gpu-targets -Wno-deprecated-declarations)
 
        elseif((${CUDA_VERSION} VERSION_GREATER_EQUAL 12.7) AND (${CUDA_VERSION} VERSION_LESS 12.9))
-           message(STATUS "Configuring for SM7.0, SM7.5, SM8.0, SM8.6, SM9.0, SM10.0 and SM12.0")
-           list(APPEND CUDA_NVCC_FLAGS ${SM70FLAGS} ${SM75FLAGS} ${SM80FLAGS} ${SM86FLAGS} ${SM90FLAGS} ${SM100FLAGS} ${SM120FLAGS} -Wno-deprecated-gpu-targets -Wno-deprecated-declarations)
+           message(STATUS "Configuring for SM7.0, SM7.5, SM8.0, SM8.6, SM8.9, SM9.0, SM10.0 and SM12.0")
+           list(APPEND CUDA_NVCC_FLAGS ${SM70FLAGS} ${SM75FLAGS} ${SM80FLAGS} ${SM86FLAGS} ${SM89FLAGS} ${SM90FLAGS} ${SM100FLAGS} ${SM120FLAGS} -Wno-deprecated-gpu-targets -Wno-deprecated-declarations -std=c++14)
 
 		else()
 			message(FATAL_ERROR "Error: Untested CUDA version. AMBER currently requires CUDA version >= 7.5 and < 12.9.")
